import { AssetResponseDto } from "../dtos/asset-response.dto";
import { AuthDto } from "../dtos/auth.dto";
import { BaseService } from "./base.service";
export declare class ViewService extends BaseService {
    getUniqueOriginalPaths(auth: AuthDto): Promise<string[]>;
    getAssetsByOriginalPath(auth: AuthDto, path: string): Promise<AssetResponseDto[]>;
}
